<HTML>
<title>
   XML
</title>

<BODY>
<?php
   ini_set("display_errors", "off");
	/*Código para incluir las librerias*/
	include_once("../src/conexion.php");

	 //Conexión con el servidor
  $link=ConectarseServidor();

 //Conexión con la base de datos
  ConectarseBaseDatos($link);

 //realiza consulta a la base de datos
  $sql = "select login,clave,nombre,apellido,direccion,telefono,celular,email,idperfil,control_sesion from usuario"; 
  $result=mysql_query($sql,$link);

     //crea nombre del archivo xml
    $nomArchivo="Usuario.xml";
	$arch = fopen($nomArchivo,"w+");

	fwrite($arch,'<?xml version="1.0" encoding="UTF-8" standalone="yes"?>'."\n".
						'<usuarios xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">'."\n");	
           	
	
    //impresion de datos obtenidos desde la BD
	 while($row = mysql_fetch_array($result)){
	 
			$login			= $row[0];
			$clave			= $row[1];
			$nombre 		= $row[2];
			$apellido 		= $row[3];
			$direccion 		= $row[4];
			$telefono 		= $row[5];
			$celular 		= $row[6];
			$email  		= $row[7];
			$idperfil  		= $row[8];
			$control_sesion	= $row[9];
	        
          
		   fwrite($arch,"\t".'<datos>'."\n". 						
						"\t\t".'<login>'.$login.'</login>'."\n".
						"\t\t".'<clave>'.$clave.'</clave>'."\n".
						"\t\t".'<nombre>'.$nombre.'</nombre>'."\n".
						"\t\t".'<apellido>'.$apellido.'</apellido>'."\n".
						"\t\t".'<direccion>'.$direccion.'</direccion>'."\n".
						"\t\t".'<telefono>'.$telefono.'</telefono>'."\n".
						"\t\t".'<celular>'.$celular.'</celular>'."\n".
						"\t\t".'<email>'.$email.'</email>'."\n".
						"\t\t".'<idperfil>'.$idperfil.'</idperfil>'."\n".
						"\t\t".'<control_sesion>'.$control_sesion.'</control_sesion>'."\n".
						"\t".'</datos>'."\n");	
              
		  
      }//fin del while	
     	fwrite($arch,'</usuarios>');	
	 
	 
	 //cierra el archivo
	 fclose($arch);
	 
	 
     //libera memoria
 	mysql_free_result ($result);
	
	
	 $sbCadena =  "<script language='javascript'>";
	 $sbCadena .= "alert(  'Archivo Usuarios.xml Generado con Exito' )";
     $sbCadena .= "</script>";
     echo $sbCadena;
		 	
	//retorna a la pagina anterior
	$sbCadena = '<script>window.history.back();</script>';
	echo $sbCadena;  	   

	/*Función para desconectarse de la base de datos*/
	desconectarse($link);//cierra la conexion


?>
</BODY>
</HTML>
